GrailsHibernateDomainClassProperty (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate
[Java] Class GrailsHibernateDomainClassProperty

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.GrailsHibernateDomainClassProperty

All Implemented Interfaces:
  GrailsDomainClassProperty

    public class GrailsHibernateDomainClassProperty
    extends java.lang.Object

An implementation of the GrailsDomainClassProperty interface that allows Classes mapped in Hibernate to integrate with Grails' validation, dynamic methods etc. seamlessly.

Authors:
  Graeme Rocher

Since:
  0.1

Constructor Summary
`GrailsHibernateDomainClassProperty(GrailsHibernateDomainClass domainClass, java.lang.String propertyName)`

Method Summary
`java.lang.String` | `getColumnName()`
`GrailsDomainClass` | `getComponent()`
`GrailsDomainClass` | `getDomainClass()`
`int` | `getFetchMode()`
`java.lang.String` | `getFieldName()`
`java.lang.String` | `getName()`
`java.lang.String` | `getNaturalName()`
`GrailsDomainClassProperty` | `getOtherSide()`
`GrailsDomainClass` | `getReferencedDomainClass()`
`java.lang.String` | `getReferencedPropertyName()`
`java.lang.Class` | `getReferencedPropertyType()`
`java.lang.Class` | `getType()`
`java.lang.String` | `getTypePropertyName()`
`boolean` | `isAssociation()`
`boolean` | `isBasicCollectionType()`
`boolean` | `isBidirectional()`
`boolean` | `isCircular()`
`boolean` | `isDerived()`
`boolean` | `isEmbedded()`
`boolean` | `isEnum()`
`boolean` | `isHasOne()`
`boolean` | `isIdentity()`
`boolean` | `isInherited()`
`boolean` | `isManyToMany()`
`boolean` | `isManyToOne()`
`boolean` | `isOneToMany()`
`boolean` | `isOneToOne()`
`boolean` | `isOptional()`
`boolean` | `isOwningSide()`
`boolean` | `isPersistent()`
`void` | `setAssociation(boolean association)`
`void` | `setBidirectional(boolean bidirectional)`
`void` | `setColumnName(java.lang.String columnName)`
`void` | `setDerived(boolean derived)`
`void` | `setIdentity(boolean identity)`
`void` | `setManyToMany(boolean manyToMany)`
`void` | `setManyToOne(boolean manyToOne)`
`void` | `setOneToMany(boolean oneToMany)`
`void` | `setOneToOne(boolean oneToOne)`
`void` | `setOptional(boolean optional)`
`void` | `setOtherSide(GrailsDomainClassProperty referencedProperty)`
`void` | `setOwningSide(boolean b)`
`void` | `setReferencedDomainClass(GrailsDomainClass referencedGrailsDomainClass)`
`void` | `setRelatedClassType(java.lang.Class relatedType)`
`void` | `setType(java.lang.Class type)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GrailsHibernateDomainClassProperty

    public GrailsHibernateDomainClassProperty(GrailsHibernateDomainClass domainClass, java.lang.String propertyName)

Method Detail

### getColumnName

    public java.lang.String getColumnName()

### getComponent

    public GrailsDomainClass getComponent()

### getDomainClass

    public GrailsDomainClass getDomainClass()

### getFetchMode

    public int getFetchMode()

### getFieldName

    public java.lang.String getFieldName()

### getName

    public java.lang.String getName()

### getNaturalName

    public java.lang.String getNaturalName()

### getOtherSide

    public GrailsDomainClassProperty getOtherSide()

### getReferencedDomainClass

    public GrailsDomainClass getReferencedDomainClass()

### getReferencedPropertyName

    public java.lang.String getReferencedPropertyName()

### getReferencedPropertyType

    public java.lang.Class getReferencedPropertyType()

### getType

    public java.lang.Class getType()

### getTypePropertyName

    public java.lang.String getTypePropertyName()

### isAssociation

    public boolean isAssociation()

### isBasicCollectionType

    public boolean isBasicCollectionType()

### isBidirectional

    public boolean isBidirectional()

### isCircular

    public boolean isCircular()

### isDerived

    public boolean isDerived()

### isEmbedded

    public boolean isEmbedded()

### isEnum

    public boolean isEnum()

### isHasOne

    public boolean isHasOne()

### isIdentity

    public boolean isIdentity()

### isInherited

    public boolean isInherited()

### isManyToMany

    public boolean isManyToMany()

### isManyToOne

    public boolean isManyToOne()

### isOneToMany

    public boolean isOneToMany()

### isOneToOne

    public boolean isOneToOne()

### isOptional

    public boolean isOptional()

### isOwningSide

    public boolean isOwningSide()

### isPersistent

    public boolean isPersistent()

### setAssociation

    public void setAssociation(boolean association)

### setBidirectional

    public void setBidirectional(boolean bidirectional)

### setColumnName

    public void setColumnName(java.lang.String columnName)

### setDerived

    public void setDerived(boolean derived)

### setIdentity

    public void setIdentity(boolean identity)

### setManyToMany

    public void setManyToMany(boolean manyToMany)

### setManyToOne

    public void setManyToOne(boolean manyToOne)

### setOneToMany

    public void setOneToMany(boolean oneToMany)

### setOneToOne

    public void setOneToOne(boolean oneToOne)

### setOptional

    public void setOptional(boolean optional)

### setOtherSide

    public void setOtherSide(GrailsDomainClassProperty referencedProperty)

### setOwningSide

    public void setOwningSide(boolean b)

### setReferencedDomainClass

    public void setReferencedDomainClass(GrailsDomainClass referencedGrailsDomainClass)

### setRelatedClassType

    public void setRelatedClassType(java.lang.Class relatedType)

### setType

    public void setType(java.lang.Class type)

Groovy Documentation